function alpha = parameter()

% parameter allows to modify the singularity in examples/laplace/lshape1/*
%
% Usage: ALPHA = parameter()
%
% Description: This file is part of the HILBERT program package for the
%              numerical solution of the Laplace equation with mixed
%              boundary conditions by use of BEM in 2D.
%
%              In examples/laplace/lshape1/*, we treat the Laplace problem
% 
%                -Laplace(u) = 0 in Omega with du/dn = phi on Gamma
%
%              We prescribe the exact solution in polar coordinates
%
%                u(r,theta) = r^{2/3} * cos(2theta/3)
%
%              which can also be written in the complex plane by
%
%                u(a+bi) = Real( (a+bi)^(2/3) )
%
%              The exponent ALPHA = 2/3 is provided by this function so that
%              the user may easily change the order of the singularity.
%
% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at
%
% Version: 3.0

alpha = 2/3;

