function alpha = parameter()

% parameter allows to modify the singularity in examples/laplace/zshape/*
%
% Usage: ALPHA = parameter()
%
% Description: This file is part of the HILBERT program package for the
%              numerical solution of the Laplace equation with mixed
%              boundary conditions by use of BEM in 2D.
%
%              In examples/laplace/zshape/*, we treat the Laplace problem
% 
%                -Laplace(u) = 0 in Omega with u = g on Gamma
%
%              We prescribe the exact solution in polar coordinates
%
%                u(r,theta) = r^{4/7} * cos(4theta/7)
%
%              which also be written in the complex plane by
%
%                u(a+bi) = Real( (a+bi)^(4/7) )
%
%              The exponent ALPHA = 4/7 is provided by this function so that
%              the user may easily change the order of the singularity.
%
% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at
%
% Version: 3.0

alpha = 4/7;

