function fx = f(x)

% f provides the volume data for some Poisson problem realized 
% in examples/poisson/lshape4/
%
% Usage: Y = f(X)
%
% Description: This file is part of the HILBERT program package for the
%              numerical solution of the Laplace equation with mixed
%              boundary conditions by use of BEM in 2D.
%
%              In examples/poisson/lshape4, we treat the Poisson problem
% 
%                -Laplace(u) = f in Omega
%
%              We prescribe the exact solution by
%
%               u(r,theta) = -1/4(x^2 + y^2) + r^{2/3} * cos(2theta/3)
%
%              where (r,theta) are polar coordinates and (x,y) are
%              cartesian coordinates.
%
%              The evaluation points are given by the (N x 2)-matrix X. The
%              (N x 1)-vector Y provides the corresponding function values,
%              i.e., Y(j) = F(X(j,:)). 
%
% (C) 2010-2012 HILBERT-Team '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at
%
% Version: 3.0

%*** exact solution u(x,y) = -1/4 * (x^2 + y^2)
fx = ones(size(x,1),1);
