function [alpha] = parameters()

% parameter allows to modify the singularity in examples/poisson/lshape6
%
% Usage: [ALPHA] = parameter()
%
% Description: This file is part of the HILBERT program package for the
%              numerical solution of the Laplace equation with mixed
%              boundary conditions by use of BEM in 2D.
%
%              In examples/poisson/lshape6/, we treat the Poisson problem
% 
%                -Laplace(u) = f in Omega with u = g on Gamma (or GammaD)
%
%              We prescribe the exact solution in polar coordinates
%
%               u(r,theta) = x(x-1/4)(y-1/4) + r^{2/3} * cos(2theta/3)
%
%              where (r,theta) are polar coordinates and (x,y) are
%              cartesian coordinates. By choice of u it is seen that
%              f is a polynomial of degree 1.
%              
%              The exponent ALPHA is provided by this functions
%              so that the user may easily change the order of the
%              singularity.
%
% (C) 2010-2012 HILBERT-Team '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at
%
% Version: 3.0

alpha = 2/3;
