% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

function config = Configure() % Do not edit the file make/Configure.m, edit
                              % source/make/config/EmptyConfigure.m instead.
  try % Graphical interface.
    disp('I am trying to run some graphical configuration tools now.');
    disp('If you experience any troubles, please run make configure-text');
    disp('on MATLAB''s command line from within HILBERT''s base directory.');
    if (ispc)
      try
        [tf, config] = DialogWinInstall();
        if (tf)
          generateConfigure(config);
          installWindowsBinaries(config);
          clear Configure;
          return;
        end
      catch
        e = lasterror();
        disp('Could not install binaries due to the following error:');
        disp(e.message);
        disp('I''m going on with the manual installation procedure noew.');
      end
    end
    tf = DialogWannaConfig();
    if (tf)
      config = DialogConfig();
    else
      config = defaultConfigure();
    end
    generateConfigure(config);
    clear Configure;
  catch % An error occured during graphical configuration:
    disp('An error occured during graphical configuration.')
    disp('I am running a text-based version now.')
    disp('')
    disp('Do you want to configure HILBERT? In case you don''t,')
    disp('  I will simply create a default configuration.')
    disp('You may re-configure HILBERT at any time by typing')
    disp('  make configure from HILBERT''s base directory')

    answer = configureQuestion('Do you want to configure HILBERT?', ...
      'ConfigureHilbert', 'yes', 'bool');

    if (strcmp(answer, 'yes'))
      config = textConfig();
    else
      config = defaultConfigure;
    end
    generateConfigure(config);
    clear Configure;
  end
  
