% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

function installWindowsBinaries(config)
  dir = 'source/make/binary/win/';
  if (strcmp(config.Threading, 'yes'))
    dir = [dir 'thr' config.NumberOfCores '/'];
  else
    dir = [dir 'nothr/'];
  end

  if (~exist(dir,'dir'))
    error(['The directory ' dir ' does not exist.']);
  end

  for basename = {'buildK','buildN','buildV','buildW', ...
                  'evaluateK', 'evaluateKadj', 'evaluateN', ...
                  'evaluateV', 'evaluateW'}
    file = [dir basename{:} '.' mexext];
    target = ['lib/' basename{:} '.' mexext];
    fprintf('%s\n', ['Installing ' basename{:} ' ...']);
    if (~exist(file,'file'))
      error(['The file ' file ' does not exist.']);
    end
    copyfile(file, target);
  end

  disp('Installing pthreadVC2.dll ...');
  if (~exist(['source/make/ext/lib/' mexext '/pthreadVC2.dll'], 'file'))
    error('The file source\make\ext\lib\pthreadVC2.dll does not exist.');
  end
  copyfile(['source/make/ext/lib/' mexext '/pthreadVC2.dll'], ...
           'lib/pthreadVC2.dll');
