% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

function targets = addObjectFiles(varargin)
    SEARCH_PATH = { pwd, [pwd '/source'] };

    targets = [];

    for i=1:nargin
      for path = SEARCH_PATH
        src_file = [path{:} '/' varargin{i} '.c'];
        h_file = [path{:} '/' varargin{i} '.h'];
        if (exist(src_file, 'file') == 2)
          break;
        end
      end

      if (~exist(src_file, 'file') == 2)
        error(['Could not locate source file in ' SEARCH_PATH '!']);
      end

      if (exist(h_file, 'file') == 2)
        dep = {h_file, src_file};
      else
        dep = {src_file};
      end

      targets = [targets, ...
        createTarget([varargin{i} '.o'],dep,@mexCompile,@objectFileAvailable)];
    end

