% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

function status = mexCompile(target)
  cflags = '';
  if (exist('Configure', 'file') == 2)
      c = Configure();
      cflags = [' -DEPS=' c.Eps ...
                ' -DDEFAULT_ETA=' c.Eta ...
                ' -DGAUSS_ORDER=' c.GaussOrder ];
      if (strcmp(c.Threading, 'yes'))
        cflags = [cflags ' -DHILTHREADS -DNUMOF_CORES=' c.NumberOfCores];
        if (strcmp(c.ThreadingDiagnostics, 'yes'))
          cflags = [cflags ' -DDIAGNOSTICS'];
        end
      end
      if (strcmp(c.Debugging, 'yes'))
        cflags = [cflags ' -g'];
      else
        cflags = [cflags ' -DNDEBUG'];
      end
      if (~strcmp(c.CompFlags, ''))
        if (ispc)
          cflags = [cflags ' COMPFLAGS="$COMPFLAGS ' c.CompFlags '"'];
        elseif (isunix)
          cflags = [cflags ' CFLAGS="$CFLAGS ' c.CompFlags '"'];
        else
          disp(['Warning: I do not know how to use compiler flags for your' ...
                ' system.']);
        end
      end
  end
  build_str = ['mex ' cflags ' -c' ...
                  ' -Isource/' ...
                  ' -outdir source/ "' ...
                  char(target.dependencies(end)) '"'];
  if (ispc)
      build_str = [build_str ' -Isource\make\ext\include'];
  end
  disp(build_str);
  eval(build_str);
  status = objectFileAvailable(target);

