% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

function status = mexLinkWithThreading(target)
  c = Configure();
  build_str = 'mex ';
  if (strcmp(c.Debugging, 'yes'))
      build_str = [build_str '-g '];
  end
  if (isunix)
      build_str = [build_str '-cxx -lpthread '];
  else
      libpath = ['source\make\ext\lib\' mexext '\'];
      build_str = [build_str '-L"' libpath '" -lpthreadVC2 '];
  end
  build_str = [build_str '-outdir lib -output ' ...
                target.name '.' mexext];
  for d=target.dependencies
      build_str = [build_str ' source/' char(d)];
      if (ispc)
          build_str = [build_str 'bj'];
      end
  end
  
  disp(build_str);
  eval(build_str);
  
  if (ispc && strcmp(c.Threading, 'yes') && ...
          ~fileAvailable('lib/pthreadVC2.dll'))
      disp('Installing threading run-time ...');
      copyfile(['source\make\ext\lib\' mexext '\pthreadVC2.dll'], ...
               'lib\pthreadVC2.dll');
  end
  
  status = fileAvailable(['lib/' target.name '.' mexext]);

