% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

function status = targetUpToDate(target, mod_time)
  status = false;

  for depname = target.dependencies
    dep = getTargetByName(depname{:});
    if (islogical(dep) && dep == false)
      % Target does not exist. Is it a file?
      dfmtime = fileAvailable(depname{:});
      if (islogical(dfmtime) && dfmtime == false)
        error(sprintf('%s is neither a file nor a target.\n', depname{:}));
      end
      if (dfmtime > mod_time)
        return;
      end
    else
      depstat = dep.available_handler(dep);
      if (islogical(depstat))
        if (depstat == false)
          return;
        end
      else
        if (depstat > mod_time)
          return;
        elseif (targetUpToDate(dep, mod_time) == false)
          dep.build_handler(dep);
          return;
        end
      end
    end
  end

  status = mod_time;
end

