function gx = g1(x)
% g1 provides the Dirichlet data for some homogeneous Laplace problem
%
% Usage: Y = g(X)
%
% Descripition: This file is part of the HILBERT program package for the
%               numerical solution of the Laplace equation with mixed
%               boundary conditions by use of BEM in 2D.
%
%               We treat the Laplace problem
% 
%                 -Laplace(u) = 0 in Omega with u = g on Gamma
%
%               We prescribe the (smooth) exact solution to be
%
%                 u(x,y) = x
%
%               The evaluation points are given by the (N x 2)-matrix X, and the
%               (N x 1)-vector Y provides the corresponding function values,
%               i.e., Y(j) = g(X(j,:)).
%
% Author: Michael Karkulik
%
% (C) M. Aurada, M. Ebner, S. Ferraz-Leite,
%     P. Goldenits, M. Mayr, D. Praetorius

% History: MK (28.11.2011 --> v0.6)
% Version: 3.0           


gx = x(:,1);
