dir = 'test';

addpath(dir)
addpath('../lib/')
addpath('../visualization/')

coordinates = load('coordinates.dat')/4;
elements = load('elements.dat');
vertices = load('vertices.dat')/4;
triangles = load('triangles.dat');

nV = size(vertices,1);

%*** permute numbering of boundary nodes
nC = size(coordinates,1);
idx = [2:2:nC,1:2:nC];
coordinates(idx,:) = coordinates;
elements = idx(elements);

%*** permute numbering of boundary mesh
nE = size(elements,1);
idx = [1:2:nE,2:2:nE];
elements = elements(idx,:);

%*** permute numbering of volume nodes
idx = [nV:-1:1];
idx = idx([2:2:nV,1:2:nV]);
vertices(idx,:) = vertices;
triangles = idx(triangles);

%[coordinates,elements] = refineBoundaryMesh(coordinates,elements);

[vertices,triangles] = refineVolumeMesh(vertices,triangles,1);

%*** compute Galerkin solution
V = buildV(coordinates,elements);
b = buildSymmRHS(coordinates,elements,@u);
x = V\b;

a = coordinates(elements(:,1),:);
b = coordinates(elements(:,2),:);
x = phi(a,a,b);

%norm(x-xx)

%*** visualize exact and adaptively computed solution
plotArclengthP0(coordinates,elements,x,@phi,1);

%*** evaluate Dirichlet data g on boundary
g = u(coordinates);
plotArclengthS1(coordinates,elements,g,@u,2);

%*** plot solution u in the domain
error = plotu(coordinates,elements,vertices,triangles,x,g,3,@u,4)

rmpath(dir)
