function [fails,passes,relative_errors]=testInnerAtanInt()

addpath('../work/source');
addpath('../work/lib');
addpath('../work');
%make
%mex mxInnerAtanInt.c newtonPotentialP0_new.o gaussQuadrature.o singleLayerPotential.o geometry.o

%Initialize variables
passes = 0;
fails = 0;
relative_errors = zeros(100,1);

%produce 100 random values for a, b, and c and make sure, that delta > 0
a = random('unif',0,5,1,100);
b = random('unif',-5,5,1,100);
c = random('unif',-5,5,1,100);
delta = 4.*a.*c-b.^2;
critical_indices = find(delta<0);
b(critical_indices) = sqrt(4.*a(critical_indices).*c(critical_indices));
delta = 4.*a.*c-b.^2;
xi = random('unif',0,1,1,100);
  
for i = 1:100
    value = mxInnerAtanInt(a(i),b(i),c(i),xi(i));
    f = @(eta)(delta(i)./(c(i)+eta.*b(i)+eta.^2.*a(i)));
    reference = quad(f,0,xi(i),1e2*eps);
    absolute_error = abs(reference-value);
    relative_errors(i) = absolute_error/abs(reference);
    if (relative_errors(i) > 1e4*eps)
      fprintf('*** Testcase %d failed!\n', i);
      fprintf('    a=%g, b=%g, c=%g, xi=%g\n', a(i), b(i), c(i), xi(i));
      fprintf('    C-function returned %g   |   quad returned %g\n', ...
          value, reference);
      fprintf('    relative error %g   | absolute error %g\n', ...
          relative_errors(i), absolute_error);
      fails = fails + 1;
    else     
      passes = passes + 1;
    end
end
