%*** test computeOscVolume

clear all
clf

addpath('..');
addpath('../..');

%*** uniform
nodes = load('test_nodes.dat');
triangles = load('test_triangles.dat');

for j = 1:18
    osc(j) = sqrt(sum(computeOscVolume(nodes,triangles,@test_f)));
    dof(j) = size(triangles,1);
    loglog(dof,osc,'bx-')
    hold on
    loglog(dof,dof.^(-1),'--k') %*** note that O(h^3) = O(N^{-3/2})
    loglog(dof,dof.^(-3/2),'--k') %*** note that O(h^3) = O(N^{-3/2})
    drawnow
    [nodes,triangles] = refineVolumeMesh(nodes,triangles);
end

%*** adaptiv
nodes = load('test_nodes.dat');
triangles = load('test_triangles.dat');

while 1
    indicators = computeOscVolume(nodes,triangles,@test_f);
    aosc(j) = sqrt(sum(indicators));
    adof(j) = size(triangles,1);
    loglog(adof,aosc,'rx-')
    drawnow
    marked = markElements(.25,0.25,indicators);
    [nodes,triangles] = refineVolumeMesh(nodes,triangles,marked);
    if max(adof) >= max(dof)
        break
    else
        j = j +1;
    end
end
