%*** test L2P1projection

clear all
%close all

addpath('..');

%*** adaptiv
nodes = load('test_nodes.dat')/4;
triangles = load('test_triangles.dat');

dof = 10000;
j = 1;
while 1
    fz = test_f(nodes);
    figure(1)
    trisurf(triangles,nodes(:,1),nodes(:,2),fz,'facecolor','interp')
    axis equal
    view(2)
    colorbar
    %
    fh = L2P1projection(nodes,triangles,@test_f);
    figure(3)
    clf
    for j = 1:size(triangles,1);
        triangle = triangles(j,:);
        trisurf([1 2 3],nodes(triangle,1),nodes(triangle,2), ...
                fh(j,:),'facecolor','interp');
        hold on
    end
    view(2);
    axis equal
    colorbar
    drawnow;
    %
    indicators = computeOscVolume(nodes,triangles,@test_f);
    aosc(j) = sqrt(sum(indicators));
    adof(j) = size(triangles,1);
    %
    figure(2)
    loglog(adof,aosc,'rx-')
    hold on
    loglog(adof,adof.^(-1),'--k') %*** note that O(h^2) = O(N^{-1})
    drawnow
    marked = markElements(.25,0.25,indicators);
    [nodes,triangles] = refineVolumeMesh(nodes,triangles,marked);
    if max(adof) >= max(dof)
        break
    else
        j = j +1;
    end
    pause
end