%*** test computeOscVolume

clear all
close all

addpath('..');

%*** adaptiv
nodes = load('test_nodes.dat')/4;
triangles = load('test_triangles.dat');

dof = 10000;
j = 1;
while 1
    figure(1)
    norm(f(nodes))
    trisurf(triangles,nodes(:,1),nodes(:,2),f(nodes),'facecolor','interp')
    axis equal
    view(2)
    colorbar
    %
    indicators = computeOscVolume_v1(nodes,triangles,@f);
    aosc(j) = sqrt(sum(indicators));
    adof(j) = size(triangles,1);
    %
    figure(2)
    loglog(adof,aosc,'rx-')
    hold on
    loglog(adof,adof.^(-1),'--k') %*** note that O(h^2) = O(N^{-1})
    drawnow
    marked = markElements(.25,0.25,indicators);
    [nodes,triangles] = refineVolumeMesh(nodes,triangles,marked);
    if max(adof) >= max(dof)
        break
    else
        j = j +1;
    end
end
