#!/usr/bin/perl

use warnings;
use strict;

my $outdir = './';
my $d = pop @ARGV;
if (-d $d) {
  $outdir = $d;
}
else {
  push @ARGV, $d;
}

my @files;

while (my $line = <>) {
  chomp $line;
  next if ($line =~ /^#/ || $line =~ /^\s*$/);
  if ($line =~ m/(.*?\.c)\:\s+(.*)/) {
    my $str = 'tools/gen_mex_glue.pl "' . $2 . '" > ' . $outdir . $1;
    push @files, $1;
    warn "  ERROR: Could not generate $1.\n" if (system($str));
  }
  else {
    warn "  ERROR: Could not parse line:\n  $line\n";
  }
}

print "Generated the following files in $outdir:\n";
print join(", ", @files), "\n";
